monoid-extras-0.7: Various extra monoid-related definitions and utilities

Copyright | (c) 2011 diagrams-core team (see LICENSE)
License | BSD-style (see LICENSE)
Maintainer | diagrams-discuss@googlegroups.com
Safe Haskell | Safe-Inferred
Language | Haskell2010

Data.Monoid.WithSemigroup

Description

Convenience alias for the combination of `Monoid` and `Semigroup` constraints.

Synopsis

- type Monoid' = Monoid

# Documentation

type Monoid' = Monoid Source #

For base < 4.11, the `Monoid'` constraint is a synonym for things which are instances of both `Semigroup` and `Monoid`. For base version 4.11 and onwards, `Monoid` has `Semigroup` as a superclass already, so for backwards compatibility `Monoid'` is provided as a synonym for `Monoid`.